Create a project
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
POST
/v1/projectsAuthorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Request body
requiredapplication/jsoncontactIdstringrequiredbuildingIdstringrequiredtitlestringrequiredmin length 1
typestringAllowed:
heat-planningenergieausweisResponses
201OK
idstringrequiredcontactIdstringrequiredbuildingIdstringrequiredtitlestringrequiredtypestringrequiredAllowed:
heat-planningenergieausweisstatusstringrequiredAllowed:
draftactivesubmittedarchivedversionNumberintegerrequiredmin -9007199254740991 · max 9007199254740991
rootProjectIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyparentProjectIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyisVisibleInCustomerPortalbooleanrequiredarchivedAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredRequest
curl -X POST "https://app.bauhow.com/api/v1/projects" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"contactId": "string",
"buildingId": "string",
"title": "string",
"type": "heat-planning"
}'const response = await fetch("https://app.bauhow.com/api/v1/projects", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"contactId": "string",
"buildingId": "string",
"title": "string",
"type": "heat-planning"
})
});import requests
response = requests.post(
"https://app.bauhow.com/api/v1/projects",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"contactId": "string",
"buildingId": "string",
"title": "string",
"type": "heat-planning"
},
)Response
{
"id": "string",
"contactId": "string",
"buildingId": "string",
"title": "string",
"type": "heat-planning",
"status": "draft",
"versionNumber": 0,
"rootProjectId": "string",
"parentProjectId": "string",
"isVisibleInCustomerPortal": true,
"archivedAt": "2024-01-01T00:00:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}